package com.eatpoint.plugins;

import org.json.JSONException;
import org.json.JSONObject;

public class UserEntity {


    /**
     * age : -6.301368284184559E7
     * all_label : dolor est anim aute
     * config_name : sunt proident
     * created_at : Lorem ullamco laboris
     * customer_name : ut ad reprehenderit elit magna
     * dealer_code : Ut cillum ut enim
     * emp_no : dolor
     * gender : -1.6456420028562889E7
     * intent_level_str : dolor
     * level : nulla anim
     * mobile_phone : proident sed reprehenderit anim
     * model_name : aliquip proident
     * potential_customers_id : -6.073910978663757E7
     * series_name : dolor veniam ea deserunt
     * telemarketing_no_name : irure ad
     */

    private double age;
    private String all_label;
    private String config_name;
    private String created_at;
    private String customer_name;
    private String dealer_code;
    private String emp_no;
    private double gender;
    private String intent_level_str;
    private String level;
    private String mobile_phone;
    private String model_name;
    private double potential_customers_id;
    private String series_name;
    private String telemarketing_no_name;

    public UserEntity() {
    }

    public UserEntity(String json){
        try {
            JSONObject jsonObject = new JSONObject(json);
            customer_name = jsonObject.getString("customer_name");
            mobile_phone = jsonObject.getString("mobile_phone");
            age = jsonObject.getDouble("age");
            level = jsonObject.getString("level");
            model_name = jsonObject.getString("model_name");
            telemarketing_no_name = jsonObject.getString("telemarketing_no_name");
            all_label = jsonObject.getString("all_label");
            created_at = jsonObject.getString("created_at");
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

public double getAge() {
        return age;
    }

    public void setAge(double age) {
        this.age = age;
    }

    public String getAll_label() {
        return all_label;
    }

    public void setAll_label(String all_label) {
        this.all_label = all_label;
    }

    public String getConfig_name() {
        return config_name;
    }

    public void setConfig_name(String config_name) {
        this.config_name = config_name;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getCustomer_name() {
        return customer_name;
    }

    public void setCustomer_name(String customer_name) {
        this.customer_name = customer_name;
    }

    public String getDealer_code() {
        return dealer_code;
    }

    public void setDealer_code(String dealer_code) {
        this.dealer_code = dealer_code;
    }

    public String getEmp_no() {
        return emp_no;
    }

    public void setEmp_no(String emp_no) {
        this.emp_no = emp_no;
    }

    public double getGender() {
        return gender;
    }

    public void setGender(double gender) {
        this.gender = gender;
    }

    public String getIntent_level_str() {
        return intent_level_str;
    }

    public void setIntent_level_str(String intent_level_str) {
        this.intent_level_str = intent_level_str;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMobile_phone() {
        return mobile_phone;
    }

    public void setMobile_phone(String mobile_phone) {
        this.mobile_phone = mobile_phone;
    }

    public String getModel_name() {
        return model_name;
    }

    public void setModel_name(String model_name) {
        this.model_name = model_name;
    }

    public double getPotential_customers_id() {
        return potential_customers_id;
    }

    public void setPotential_customers_id(double potential_customers_id) {
        this.potential_customers_id = potential_customers_id;
    }

    public String getSeries_name() {
        return series_name;
    }

    public void setSeries_name(String series_name) {
        this.series_name = series_name;
    }

    public String getTelemarketing_no_name() {
        return telemarketing_no_name;
    }

    public void setTelemarketing_no_name(String telemarketing_no_name) {
        this.telemarketing_no_name = telemarketing_no_name;
    }
}
